Bug 437116 - Nonexistent instance prefix directories cause login failure in pam_namespace
Nonexistent instance prefix directories cause login failure in pam_namespace
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: pam (Show other bugs)
9
All Linux
low Severity medium
: ---
: ---
Assigned To: Tomas Mraz
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-03-12 10:48 EDT by Ted X Toth
Modified: 2008-07-26 02:04 EDT (History)
2 users (show)

See Also:
Fixed In Version: 1.0.1-4.fc9
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-06-11 00:38:08 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Patch containing pam_mkpolydir module that can be used to create instance prefix directories automatically. (76.41 KB, patch)
2008-03-12 10:48 EDT, Ted X Toth
no flags Details | Diff

  None (edit)
Description Ted X Toth 2008-03-12 10:48:26 EDT
Description of problem:
When using the pam_namespace module if a instance prefix directory specified in
namespace.conf does not exist pam_namespace fails causing a pam authentication
failure. Having a nonexistent instance prefix directory in namespace.conf can
render a machine unusable at anything other than run level 1 if /etc/pam.d/login
specifies pam_namespace.

Version-Release number of selected component (if applicable):
pam-0.99.10.0

How reproducible:
Configure /etc/pam.d/login to use pam_namespace. Add configuration line to
/etc/security/namespace.conf which includes a instance prefix directory that
does not exist, log out and then try to login.

Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 Ted X Toth 2008-03-12 10:48:26 EDT
Created attachment 297774 [details]
Patch containing pam_mkpolydir module that can be used to create instance prefix directories automatically.
Comment 2 Bug Zapper 2008-05-14 01:58:43 EDT
Changing version to '9' as part of upcoming Fedora 9 GA.
More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 3 Fedora Update System 2008-05-21 05:09:37 EDT
pam-1.0.1-4.fc9 has been submitted as an update for Fedora 9
Comment 4 Fedora Update System 2008-05-22 16:37:29 EDT
pam-1.0.1-4.fc9 has been pushed to the Fedora 9 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update pam'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F9/FEDORA-2008-4349
Comment 5 Fedora Update System 2008-06-11 00:38:06 EDT
pam-1.0.1-4.fc9 has been pushed to the Fedora 9 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 6 Fedora Update System 2008-07-26 02:04:47 EDT
pam-1.0.1-4.fc9 has been pushed to the Fedora 9 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.